Debian Bug report logs - #363160
gdm: GDM fails to start after Xorg7 update

version graph

Package: gdm; Maintainer for gdm is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Laurent CARON <lcaron@unix-scripts.info>

Date: Mon, 17 Apr 2006 22:33:02 UTC

Severity: normal

Merged with 362925

Found in version gdm/2.13.0.10-2

Fixed in version gdm/2.16.1-1

Done: Ryan Murray <rmurray@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#363160; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Laurent CARON <lcaron@unix-scripts.info>:
New Bug report received and forwarded. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent CARON <lcaron@unix-scripts.info>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm: GDM fails to start after Xorg7 update
Date: Tue, 18 Apr 2006 00:06:11 +0200
Package: gdm
Version: 2.13.0.10-2
Severity: important


GDM fails to start because path of Xserver is hardcoded /usr/bin/X11R6/X
instead of using /usr/bin/X

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-pluton-v7
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages gdm depends on:
ii  adduser              3.86                Add and remove users and groups
ii  aewm++ [x-window-man 1.1.2-4             minimal window manager written in 
ii  aterm [x-terminal-em 1.0.0-2             Afterstep XVT - a VT102 emulator f
ii  blackbox [x-window-m 0.70.1-1.1          Window manager for X
ii  debconf [debconf-2.0 1.4.72              Debian configuration management sy
ii  enlightenment [x-win 1:0.16.7.2-3        The Enlightenment Window Manager
ii  eterm [x-terminal-em 0.9.3-1             Enlightened Terminal Emulator
ii  evilwm [x-window-man 0.99.21-1           a minimalist window manager for X1
ii  flwm [x-window-manag 1.00-9              Fast Light Window Manager
ii  fvwm-gnome [x-window 1:2.5.16-2          F(?) Virtual Window Manager, versi
ii  gksu                 1.3.7-1             graphical frontend to su
ii  gnome-session        2.14.0-2            The GNOME 2 Session Manager
ii  gnome-terminal [x-te 2.14.0-1            The GNOME 2 terminal emulator appl
ii  golem [x-window-mana 0.0.5-22            A lightweight X11 Window Manager
ii  icewm [x-window-mana 1.2.25-1            wonderful Win95-OS/2-Motif-like wi
ii  icewm-experimental [ 1.2.25-1            wonderful Win95-OS/2-Motif-like wi
ii  konsole [x-terminal- 4:3.5.2-1           X terminal emulator for KDE
ii  kwin [x-window-manag 4:3.5.2-1           the KDE window manager
ii  larswm [x-window-man 7.5.3-5             Lars Window Manager with tiled win
ii  lesstif-bin [x-windo 1:0.94.4-1.1+b2     user binaries for LessTif
ii  libart-2.0-2         2.3.17-1            Library of functions for 2D graphi
ii  libatk1.0-0          1.11.4-1            The ATK accessibility toolkit
ii  libattr1             2.4.32-1            Extended attribute shared library
ii  libc6                2.3.6-7             GNU C Library: Shared libraries
ii  libcairo2            1.0.4-1+b1          The Cairo 2D vector graphics libra
ii  libdmx1              1:1.0.1-2           X11 Distributed Multihead extensio
ii  libfontconfig1       2.3.2-5.1           generic font configuration library
ii  libglade2-0          1:2.5.1-2           library to load .glade files at ru
ii  libglib2.0-0         2.10.2-1            The GLib library of C routines
ii  libgnomecanvas2-0    2.14.0-1            A powerful object-oriented display
ii  libgtk2.0-0          2.8.17-1            The GTK+ graphical user interface 
ii  libpam-modules       0.79-3.1            Pluggable Authentication Modules f
ii  libpam-runtime       0.79-3.1            Runtime support for the PAM librar
ii  libpam0g             0.79-3.1            Pluggable Authentication Modules l
ii  libpango1.0-0        1.12.1-2            Layout and rendering of internatio
ii  libpopt0             1.7-5               lib for parsing cmdline parameters
ii  librsvg2-2           2.14.2-1            SAX-based renderer library for SVG
ii  librsvg2-common      2.14.2-1            SAX-based renderer library for SVG
ii  libselinux1          1.30-1              SELinux shared libraries
ii  libwrap0             7.6.dbs-9           Wietse Venema's TCP wrappers libra
ii  libx11-6             2:1.0.0-6           X11 client-side library
ii  libxau6              1:1.0.0-2           X11 authorisation library
ii  libxcursor1          1.1.5.2-3           X cursor management library
ii  libxdmcp6            1:1.0.0-3           X11 Display Manager Control Protoc
ii  libxext6             1:1.0.0-3           X11 miscellaneous extension librar
ii  libxi6               1:1.0.0-3           X11 Input extension library
ii  libxinerama1         1:1.0.1-2           X11 Xinerama extension library
ii  libxml2              2.6.23.dfsg.2-3     GNOME XML library
ii  libxrandr2           2:1.1.0.2-3         X11 RandR extension library
ii  libxrender1          1:0.9.0.2-3         X Rendering Extension client libra
ii  lsb-base             3.1-3               Linux Standard Base 3.1 init scrip
ii  metacity [x-window-m 1:2.14.1-1          A lightweight GTK2 based Window Ma
ii  openbox [x-window-ma 3.2-9               standards compliant, fast, light-w
ii  oroborus [x-window-m 2.0.18              A lightweight themeable windowmana
ii  ratpoison [x-window- 1.4.0-beta4-10      Simple window manager with no fat 
ii  rxvt [x-terminal-emu 1:2.6.4-10          VT102 terminal emulator for the X 
ii  sawfish [x-window-ma 1:1.3+cvs20050709-6 a window manager for X11
ii  tinywm [x-window-man 1.3-4               tiny window manager
ii  twm [x-window-manage 1:1.0.1-3           Tab window manager
ii  waimea [x-window-man 0.4.0-7             A highly customizable window manag
ii  windowlab [x-window- 1.33-3              Small and simple Amiga-like window
ii  wm2 [x-window-manage 4-9                 small, unconfigurable window manag
ii  wmaker [x-window-man 0.92.0-5.3          NeXTSTEP-like window manager for X
ii  xbase-clients        1:7.0.0-4           miscellaneous X clients
ii  xfwm4 [x-window-mana 4.2.3.2-2           window manager of the Xfce project
ii  xterm [x-terminal-em 210-3               X terminal emulator
ii  zlib1g               1:1.2.3-11          compression library - runtime

Versions of packages gdm recommends:
ii  dialog                    1.0-20060221-1 Displays user-friendly dialog boxe
ii  gdm-themes                0.5            Themes for the GNOME Display Manag
ii  whiptail                  0.52.2-4       Displays user-friendly dialog boxe
ii  zenity                    2.14.0-1       Display graphical dialog boxes fro

-- debconf information:
  gdm/daemon_name: /usr/bin/gdm
* shared/default-x-display-manager: gdm



Severity set to `serious'. Request was from Julian Gilbey <jdg@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#363160; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #12 received at 363160@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 363160@bugs.debian.org
Subject: Re: gdm: GDM fails to start after Xorg7 update
Date: Mon, 17 Apr 2006 19:23:46 -0700
[Message part 1 (text/plain, inline)]
severity 363160 normal
thanks

> GDM fails to start because path of Xserver is hardcoded /usr/bin/X11R6/X
> instead of using /usr/bin/X

This doesn't happen with the fixes in x11-common 1:7.0.13.  The path gdm
should eventually use for accessing the X server is /usr/bin/X, but there's
nothing urgent about it now.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 362925 363160. Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#363160; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Emil Nowak <emil5@go2.pl>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #21 received at 363160@bugs.debian.org (full text, mbox):

From: Emil Nowak <emil5@go2.pl>
To: 363160@bugs.debian.org
Subject: Re: gdm: GDM fails to start after Xorg7 update
Date: Mon, 1 May 2006 00:48:37 +0200
Yeah program doesn't even start-up and you change severity from important, to
normal. 

It is completely useless when it doesn't start. So why do you think people
install this package? To have bigger list of installed packages ?



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#363160; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Felix Kühling <fxkuehl@gmx.de>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #26 received at 363160@bugs.debian.org (full text, mbox):

From: Felix Kühling <fxkuehl@gmx.de>
To: 363160@bugs.debian.org
Subject: Re: gdm: GDM fails to start after Xorg7 update
Date: Thu, 11 May 2006 20:36:37 -0400
> This doesn't happen with the fixes in x11-common 1:7.0.13.  The path gdm
> should eventually use for accessing the X server is /usr/bin/X, but there's
> nothing urgent about it now.

I encountered the same problem with x11-common 1:7.0.17.

-- 
| Felix Kühling <fxkuehl@gmx.de>                     http://fxk.de.vu |
| PGP Fingerprint: 6A3C 9566 5B30 DDED 73C3  B152 151C 5CC1 D888 E595 |




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#363160; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Felix Kühling <fxkuehl@gmx.de>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #31 received at 363160@bugs.debian.org (full text, mbox):

From: Felix Kühling <fxkuehl@gmx.de>
To: 363160@bugs.debian.org
Subject: Re: gdm: GDM fails to start after Xorg7 update
Date: Thu, 11 May 2006 20:57:30 -0400
Am Donnerstag, den 11.05.2006, 20:36 -0400 schrieb Felix Kühling:
> > This doesn't happen with the fixes in x11-common 1:7.0.13.  The path gdm
> > should eventually use for accessing the X server is /usr/bin/X, but there's
> > nothing urgent about it now.
> 
> I encountered the same problem with x11-common 1:7.0.17.

For some reason x11-common did not create the /usr/X11R6/bin symlink for
me. That was after the upgrade had failed at first because I still had
some files in that directory. I couldn't reproduce the problem now.
x11-common creates the symlink every time I reinstall it. Weird ...

So, everything seems to be working now. Sorry for the noise.

-- 
| Felix Kühling <fxkuehl@gmx.de>                     http://fxk.de.vu |
| PGP Fingerprint: 6A3C 9566 5B30 DDED 73C3  B152 151C 5CC1 D888 E595 |




Tags added: pending Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 23:17:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:49:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.